# Get a gift target

Section: Your data › Gift planner

```
GET https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets/:targetId
```

Gets one gift target.

**Parameters**

- `id` (path): The gift inventory id.
- `targetId` (path): The gift target id.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `id` |  |
| `targetId` |  |

## Example responses

### 200 OK

```json
{
  "data": {
    "id": "k972n7c56aqv7mp1n09hnkam118622jj",
    "createdAt": "2026-05-04T20:28:31.806Z",
    "studentId": "kei",
    "currentExp": 0,
    "giftBoxCount": 309,
    "giftInventoryId": "k571k0c4p3bmntpnng4p8kcaan7vss8k",
    "gifts": [
      {
        "id": 5004,
        "count": 7,
        "enabled": true
      },
      {
        "id": 5005,
        "count": 36,
        "enabled": true
      },
      {
        "id": 5006,
        "count": 30,
        "enabled": true
      },
      {
        "id": 5016,
        "count": 55,
        "enabled": true
      },
      {
        "id": 5997,
        "count": 20,
        "enabled": true
      }
    ],
    "targetExp": 29175,
    "useGiftBoxes": true
  }
}
```

## Examples

### cURL

```bash
curl https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets/:targetId \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets/:targetId", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets/:targetId"
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/gift-inventories/:id/targets/:targetId", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
